require 'watir-webdriver'

class Wallhack_WS_Demo_Page
  attr_accessor :phantom_browser

  DIRECT_URL = "http://wallhack.qa.ctx.ef.com/ws/login?user_email=[EMAIL]"

  def initialize(browser)
    @phantom_browser = browser
  end

  # Web elements

  def stop_all_lessons_button
    @phantom_browser.element(:id => 'finish-all-lessons')
  end

  # Service methods

  def load_page(user_email)
    @phantom_browser.goto(DIRECT_URL.sub('[EMAIL]', user_email).sub('+', '%2B'))
  end

  def stop_all_lessons
    stop_all_lessons_button.click
  end

end